Package nl.tue.id.oocsi.client.data

# Enum OOCSIDevice.BinarySensorType

java.lang.Object
java.lang.Enum<OOCSIDevice.BinarySensorType>
nl.tue.id.oocsi.client.data.OOCSIDevice.BinarySensorType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OOCSIDevice.BinarySensorType>`, `java.lang.constant.Constable`

Enclosing class:
  OOCSIDevice

    public static enum OOCSIDevice.BinarySensorType
    extends java.lang.Enum<OOCSIDevice.BinarySensorType>

from: https://developers.home-assistant.io/docs/core/entity/binary-sensor/#available-device-classes

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `battery` | On means low, Off means normal.
  `battery_charging` | On means charging, Off means not charging.
  `cold` | On means cold, Off means normal.
  `connectivity` | On means connected, Off means disconnected.
  `door` | On means open, Off means closed.
  `garage_door` | On means open, Off means closed.
  `gas` | On means gas detected, Off means no gas (clear).
  `heat` | On means hot, Off means normal.
  `light` | On means light detected, Off means no light.
  `lock` | On means open (unlocked), Off means closed (locked).
  `moisture` | On means wet, Off means dry.
  `motion` | On means motion detected, Off means no motion (clear).
  `moving` | On means moving, Off means not moving (stopped).
  `occupancy` | On means occupied, Off means not occupied (clear).
  `opening` | On means open, Off means closed.
  `plug` | On means plugged in, Off means unplugged.
  `power` | On means power detected, Off means no power.
  `presence` | On means home, Off means away.
  `problem` | On means problem detected, Off means no problem (OK).
  `running` | On means running, Off means not running.
  `safety` | On means unsafe, Off means safe.
  `smoke` | On means smoke detected, Off means no smoke (clear).
  `sound` | On means sound detected, Off means no sound (clear).
  `tamper` | On means tampering detected, Off means no tampering (clear)
  `update` | On means update available, Off means up-to-date.
  `vibration` | On means vibration detected, Off means no vibration.
  `window` | On means open, Off means closed.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static OOCSIDevice.BinarySensorType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static OOCSIDevice.BinarySensorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### battery

    public static final OOCSIDevice.BinarySensorType battery
    On means low, Off means normal.

  - ### battery_charging

    public static final OOCSIDevice.BinarySensorType battery_charging
    On means charging, Off means not charging.

  - ### cold

    public static final OOCSIDevice.BinarySensorType cold
    On means cold, Off means normal.

  - ### connectivity

    public static final OOCSIDevice.BinarySensorType connectivity
    On means connected, Off means disconnected.

  - ### door

    public static final OOCSIDevice.BinarySensorType door
    On means open, Off means closed.

  - ### garage_door

    public static final OOCSIDevice.BinarySensorType garage_door
    On means open, Off means closed.

  - ### gas

    public static final OOCSIDevice.BinarySensorType gas
    On means gas detected, Off means no gas (clear).

  - ### heat

    public static final OOCSIDevice.BinarySensorType heat
    On means hot, Off means normal.

  - ### light

    public static final OOCSIDevice.BinarySensorType light
    On means light detected, Off means no light.

  - ### lock

    public static final OOCSIDevice.BinarySensorType lock
    On means open (unlocked), Off means closed (locked).

  - ### moisture

    public static final OOCSIDevice.BinarySensorType moisture
    On means wet, Off means dry.

  - ### motion

    public static final OOCSIDevice.BinarySensorType motion
    On means motion detected, Off means no motion (clear).

  - ### moving

    public static final OOCSIDevice.BinarySensorType moving
    On means moving, Off means not moving (stopped).

  - ### occupancy

    public static final OOCSIDevice.BinarySensorType occupancy
    On means occupied, Off means not occupied (clear).

  - ### opening

    public static final OOCSIDevice.BinarySensorType opening
    On means open, Off means closed.

  - ### plug

    public static final OOCSIDevice.BinarySensorType plug
    On means plugged in, Off means unplugged.

  - ### power

    public static final OOCSIDevice.BinarySensorType power
    On means power detected, Off means no power.

  - ### presence

    public static final OOCSIDevice.BinarySensorType presence
    On means home, Off means away.

  - ### problem

    public static final OOCSIDevice.BinarySensorType problem
    On means problem detected, Off means no problem (OK).

  - ### running

    public static final OOCSIDevice.BinarySensorType running
    On means running, Off means not running.

  - ### safety

    public static final OOCSIDevice.BinarySensorType safety
    On means unsafe, Off means safe.

  - ### smoke

    public static final OOCSIDevice.BinarySensorType smoke
    On means smoke detected, Off means no smoke (clear).

  - ### sound

    public static final OOCSIDevice.BinarySensorType sound
    On means sound detected, Off means no sound (clear).

  - ### tamper

    public static final OOCSIDevice.BinarySensorType tamper
    On means tampering detected, Off means no tampering (clear)

  - ### update

    public static final OOCSIDevice.BinarySensorType update
    On means update available, Off means up-to-date.

  - ### vibration

    public static final OOCSIDevice.BinarySensorType vibration
    On means vibration detected, Off means no vibration.

  - ### window

    public static final OOCSIDevice.BinarySensorType window
    On means open, Off means closed.

- ## Method Details

  - ### values

    public static OOCSIDevice.BinarySensorType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static OOCSIDevice.BinarySensorType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null